const { SlashCommandBuilder, EmbedBuilder } = require("discord.js");
module.exports = {

    data:new SlashCommandBuilder()
    .setName("help")
    .setDescription("Affiche toutes les commandes disponibles du bot"),

    async execute(client, interaction) {

            const embed = new EmbedBuilder()
            .setColor(0x03ff2d)
            .setTitle('Comment assister au concert ?')
            .setDescription("**Eh ! Tu as eu ton ticket ? Tant mieux ! Voici la liste des commandes à utiliser dans le salon <#664355637685256203>**")
            .addFields({name: "/play <nom/playlist>", value: "Cette commande te permet de lire des titres comme des playlists depuis Youtube / SoundCloud / Vimeo, n'importe quelle musique !"},
                       {name: "/leave", value: "Si tu ne veux plus du meilleur groupe du monde (faire partir le bot), cette commande le fera partir aussi vite qu'il est arrivé !"},
                       {name: "/pause", value: "Besoin d'un entracte ? Cette commande te permettera de mettre en pause ou de remettre le morceau en cours !"},
                       {name: "/state", value: "Donne le titre de la musique"},
                       {name: "/skip", value: "Passer à la chanson suivante."},
                       {name: "/previous", value: "Revenir à la chanson précédente."},
                       {name: "/about", value: "Affiche les informations principales !"},
                       {name: "/web", value: "Donne le lien vers le panel !"},
                       {name: "/report <urgent/bug> <description>", value: "Permet de rapporter un bug (ce qui n'arrive jamais évidemment !) !"})
            .setTimestamp()
            .addFields({name: "La queue et la gestion du redémarrage se fait par le site https://subsonics.raphix.fr/", value: ":star:"})
            .setThumbnail("https://static.wikia.nocookie.net/codelyoko/images/9/95/Subdigitals.jpg/revision/latest/scale-to-width-down/180?cb=20120105180510&path-prefix=fr");
         

        
            interaction.reply({embeds: [embed]})
        
    }


}